[PATCH] osmo-bts[master]: add jenkins_oct_and_bts_trx.sh

This is merely a historical archive of years 2008-2021, before the migration to mailman3.

A maintained and still updated list archive can be found at https://lists.osmocom.org/hyperkitty/list/gerrit-log@lists.osmocom.org/.

Neels Hofmeyr gerrit-no-reply at lists.osmocom.org
Wed Nov 30 02:01:53 UTC 2016


Review at  https://gerrit.osmocom.org/1350

add jenkins_oct_and_bts_trx.sh

Change-Id: Ib656d4592f5210e2c180f511a1c955d14397bd03
---
A contrib/jenkins_oct_and_bts_trx.sh
1 file changed, 65 insertions(+), 0 deletions(-)


  git pull ssh://gerrit.osmocom.org:29418/osmo-bts refs/changes/50/1350/1

diff --git a/contrib/jenkins_oct_and_bts_trx.sh b/contrib/jenkins_oct_and_bts_trx.sh
new file mode 100755
index 0000000..0740bd0
--- /dev/null
+++ b/contrib/jenkins_oct_and_bts_trx.sh
@@ -0,0 +1,65 @@
+#!/usr/bin/env bash
+
+set -ex
+
+base="$PWD"
+deps="$base/deps"
+inst="$deps/install"
+export deps inst
+
+mkdir "$deps" || true
+rm -rf "$inst"
+
+export PKG_CONFIG_PATH="$inst/lib/pkgconfig:$PKG_CONFIG_PATH"
+export LD_LIBRARY_PATH="$inst/lib"
+
+osmo-build-dep.sh libosmocore
+osmo-build-dep.sh libosmo-abis
+
+cd "$deps"
+
+# Get osmo-pcu for pcuif_proto.h
+osmo-deps.sh osmo-pcu
+
+# Get openbsc for gsm_data_shared.*
+osmo-deps.sh openbsc
+
+cd "$deps"
+if ! test -d layer1-api;
+then
+  git clone git://git.osmocom.org/octphy-2g-headers layer1-api
+fi
+cd layer1-api
+git fetch origin
+if [ $FIRMWARE_VERSION = "master" ];
+then
+git reset --hard origin/master
+else
+git reset --hard $FIRMWARE_VERSION
+fi
+
+cd "$base"
+
+set +x
+echo
+echo
+echo
+echo " =============================== osmo-bts-octphy+trx ==============================="
+echo
+set -x
+
+autoreconf --install --force
+configure_flags="\
+  --with-openbsc=$deps/openbsc/openbsc/include \
+  --with-osmo-pcu=$deps/osmo-pcu/include \
+  --with-octsdr-2g=$deps/layer1-api/ \
+  --enable-octphy \
+  --enable-trx \
+  "
+./configure $configure_flags
+$MAKE $PARALLEL_MAKE
+$MAKE check \
+  || cat-testlogs.sh
+DISTCHECK_CONFIGURE_FLAGS="$configure_flags" \
+  $MAKE distcheck \
+  || cat-testlogs.sh

-- 
To view, visit https://gerrit.osmocom.org/1350
To unsubscribe, visit https://gerrit.osmocom.org/settings

Gerrit-MessageType: newchange
Gerrit-Change-Id: Ib656d4592f5210e2c180f511a1c955d14397bd03
Gerrit-PatchSet: 1
Gerrit-Project: osmo-bts
Gerrit-Branch: master
Gerrit-Owner: Neels Hofmeyr <nhofmeyr at sysmocom.de>



More information about the gerrit-log mailing list